> ## Documentation Index
> Fetch the complete documentation index at: https://api-documentation.kare-app.fr/llms.txt
> Use this file to discover all available pages before exploring further.

# Notification-preferences

> API changes for the Notification-preferences module.

<Update label="2026-09-10">
  **44 API change(s) - ⚠️ includes 26 breaking change(s)**

  **`GET /rs/notification-preferences/v1/`**

  * removed the required property `data/items/actions/canBeDeleted` from the response with the `200` status
  * removed the required property `data/items/actions/canBeDuplicated` from the response with the `200` status
  * removed the required property `data/items/actions/canBeUpdated` from the response with the `200` status
  * removed the required property `data/items/actions/canSetLeadTimes` from the response with the `200` status
  * removed the required property `data/items/enabled` from the response with the `200` status
  * removed the required property `data/items/leadTimes` from the response with the `200` status
  * removed the required property `data/items/technicalInstallations` from the response with the `200` status
  * added the required property `data/items/actions/canSetLeadTime` to the response with the `200` status
  * added the required property `data/items/actions/canSetRules` to the response with the `200` status
  * added the required property `data/items/leadTime` to the response with the `200` status

  **`GET /rs/notification-preferences/v1/types`**

  * the `data/items/followableActions/items/` response property's maxLength was unset from `100` for the response status `200`
  * the `data/items/followableActions/items/` response property's minLength was decreased from `1` to `0` for the response status `200`
  * the `data/items/followableActions/items/` response's property type/format changed from `string`/`` to `object`/`` for status `200`
  * removed the required property `data/items/defaults/enabled` from the response with the `200` status
  * removed the required property `data/items/defaults/leadTimes` from the response with the `200` status
  * removed the required property `data/items/leadTimesAllowed` from the response with the `200` status
  * added the required property `data/items/action` to the response with the `200` status
  * added the required property `data/items/defaults/leadTime` to the response with the `200` status
  * added the required property `data/items/expectation` to the response with the `200` status
  * added the required property `data/items/followableActions/items/key` to the response with the `200` status
  * added the required property `data/items/followableActions/items/label` to the response with the `200` status
  * added the required property `data/items/leadTimeAllowed` to the response with the `200` status
  * added the required property `data/items/rulesAllowed` to the response with the `200` status

  **`GET /rs/notification-preferences/v1/{id}`**

  * removed the required property `actions/canBeDeleted` from the response with the `200` status
  * removed the required property `actions/canBeDuplicated` from the response with the `200` status
  * removed the required property `actions/canBeUpdated` from the response with the `200` status
  * removed the required property `actions/canSetLeadTimes` from the response with the `200` status
  * removed the required property `enabled` from the response with the `200` status
  * removed the required property `leadTimes` from the response with the `200` status
  * removed the required property `technicalInstallations` from the response with the `200` status
  * added the required property `actions/canSetLeadTime` to the response with the `200` status
  * added the required property `actions/canSetRules` to the response with the `200` status
  * added the required property `leadTime` to the response with the `200` status

  **`POST /rs/notification-preferences/v1/`**

  * removed the request property `enabled`
  * removed the request property `leadTimes`
  * removed the request property `technicalInstallationIds`
  * added the new optional request property `leadTime`

  **`PATCH /rs/notification-preferences/v1/{id}`**

  * removed the request property `enabled`
  * removed the request property `leadTimes`
  * removed the request property `technicalInstallationIds`
  * added the new optional request property `leadTime`
  * the `actionKeys` request property default value `[]` was removed
  * the `ruleIds` request property default value `[]` was removed
  * the `unitIds` request property default value `[]` was removed
</Update>

<Update label="2026-09-07">
  **2 API change(s)**

  **`GET /rs/notification-preferences/v1/types`**

  * added the required property `data/items/defaults` to the response with the `200` status
  * added the required property `data/items/followableActions` to the response with the `200` status
</Update>

<Update label="2026-08-26">
  **1 API change(s)**

  **`GET /rs/notification-preferences/v1/`**

  * added the new optional `query` request parameter `countOnly`
</Update>

<Update label="2026-08-05">
  **5 API change(s) — ⚠️ includes 3 breaking change(s)**

  **`GET /rs/notification-preferences/v1/`**

  * added the new `conversation_message_received` enum value to the `data/items/type` response property for the response status `200`

  **`GET /rs/notification-preferences/v1/types`**

  * added the new `conversation_message_received` enum value to the `data/items/type` response property for the response status `200`

  **`GET /rs/notification-preferences/v1/{id}`**

  * added the new `conversation_message_received` enum value to the `type` response property for the response status `200`

  **`POST /rs/notification-preferences/v1/`**

  * added the new `conversation_message_received` enum value to the request property `type`

  **`PATCH /rs/notification-preferences/v1/{id}`**

  * added the new `conversation_message_received` enum value to the request property `type`
</Update>

<Update label="2026-07-30">
  **7 API change(s)**

  **`GET /rs/notification-preferences/v1/`**

  * endpoint added

  **`POST /rs/notification-preferences/v1/`**

  * endpoint added

  **`GET /rs/notification-preferences/v1/types`**

  * endpoint added

  **`DELETE /rs/notification-preferences/v1/{id}`**

  * endpoint added

  **`GET /rs/notification-preferences/v1/{id}`**

  * endpoint added

  **`PATCH /rs/notification-preferences/v1/{id}`**

  * endpoint added

  **`POST /rs/notification-preferences/v1/{id}/duplicate`**

  * endpoint added
</Update>
